Bug 526022 - error occur when click ok in modify repo
Summary: error occur when click ok in modify repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:3a954a591fab88016...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 11:52 UTC by He Rui
Modified: 2011-06-28 07:50 UTC (History)
4 users (show)

Fixed In Version: anaconda-12.38-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:37:28 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (552.56 KB, text/plain)
2009-09-28 11:52 UTC, He Rui
no flags Details
edit repo step1 (60.87 KB, image/png)
2009-09-28 12:03 UTC, He Rui
no flags Details
edit repo step2 (62.50 KB, image/png)
2009-09-28 12:04 UTC, He Rui
no flags Details
edit repo step3 (22.11 KB, image/png)
2009-09-28 12:04 UTC, He Rui
no flags Details
edit repo step4 (61.58 KB, image/png)
2009-09-28 12:05 UTC, He Rui
no flags Details
Attached traceback automatically from anaconda. (1.39 MB, text/plain)
2009-12-30 19:27 UTC, rs_site
no flags Details
Attached traceback automatically from anaconda. (478.78 KB, text/plain)
2010-02-03 11:12 UTC, Gilboa Davara
no flags Details
Attached traceback automatically from anaconda. (348.30 KB, text/plain)
2010-03-13 10:01 UTC, Lee
no flags Details

Description He Rui 2009-09-28 11:52:24 UTC
The following was filed automatically by anaconda:
anaconda 12.30 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/users.py", line 201, in setRootPassword
    self.admin.setpassUser(rootUser, cryptPassword(password, algo=algo), True)
  File "/usr/lib/anaconda/instdata.py", line 171, in write
    algo=self.getPassAlgo())
  File "/usr/lib/anaconda/backend.py", line 305, in writeConfiguration
    anaconda.id.write()
  File "/usr/lib/anaconda/dispatch.py", line 200, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 123, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1195, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1216, in handleRenderCallback
    self.currentWindow.renderCallback()
TypeError: argument 1 must be Entity, not None

Comment 1 He Rui 2009-09-28 11:52:32 UTC
Created attachment 362880 [details]
Attached traceback automatically from anaconda.

Comment 2 He Rui 2009-09-28 12:03:50 UTC
Created attachment 362882 [details]
edit repo step1

Comment 3 He Rui 2009-09-28 12:04:14 UTC
Created attachment 362884 [details]
edit repo step2

Comment 4 He Rui 2009-09-28 12:04:43 UTC
Created attachment 362885 [details]
edit repo step3

Comment 5 He Rui 2009-09-28 12:05:41 UTC
Created attachment 362886 [details]
edit repo step4

Comment 6 He Rui 2009-09-28 12:13:18 UTC
version:
anaconda12.30
fedora12-beta-x86_64-dvd.iso

steps(as attachments):
1. click 'Modify repository' 
2. click ok without any change
3. error window displayed and click ok. Then click cancel on edit repo window.
4. select 'customize now' and keep clicking next.
5. Installation failed. 

reproducible:
100%

Comment 7 Chris Lumens 2009-09-28 13:59:53 UTC
Radek - this problem should be solved by getting all your method selection/repo patches in.  I'll try to finish up reviewing those today.  Make sure to close this one once you commit them all.

Comment 8 Radek Vykydal 2009-10-13 13:18:32 UTC
This should be fixed in anaconda-12.38-1 and anaconda-13.5-1.

Comment 9 Bug Zapper 2009-11-16 13:01:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 rs_site 2009-12-30 19:27:45 UTC
Created attachment 380995 [details]
Attached traceback automatically from anaconda.

Comment 11 Gilboa Davara 2010-02-03 11:12:52 UTC
Created attachment 388502 [details]
Attached traceback automatically from anaconda.

Comment 12 Gilboa Davara 2010-02-03 11:29:14 UTC
At least in my case the exception was raised during the actual copy stage - using the default repo select.
I've installed F12 on two Asus EEEPC 1201N's using PXE.
First installation was successfully.
Second installation failed.

Comment 13 Lee 2010-03-13 10:01:11 UTC
Created attachment 399816 [details]
Attached traceback automatically from anaconda.

Comment 14 Lee 2010-03-13 10:09:13 UTC
Fedora 12 installed fine.  Amahi install failed while installing themes.  I selected Amahi only from the repos and have had it fail three times.

reproducible:
100%

Comment 15 Bug Zapper 2010-11-04 09:47:14 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2010-12-04 07:37:28 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.